package net.wanji.web.vo.situationDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/02/07 13:56
 */
@Data
@ApiModel(value = "信号机运行模式返回实体")
public class SignalOperationModeVO {
    @ApiModelProperty(value = "路口编号",notes = "")
    private String crossId;
    @ApiModelProperty(value = "路口名称",notes = "")
    private String crossName;
    @ApiModelProperty(value = "控制人",notes = "")
    private String operationUser;
    @ApiModelProperty(value = "开始时间",notes = "")
    private String operationTime;
    @ApiModelProperty(value = "控制类型：1时间表；2全红；3黄闪；4锁定；5中心优化；6MEC优化；7现场手动",notes = "")
    private Integer type;
    @ApiModelProperty(name = "开始日期", notes = "")
    private Date startTime;
}
