package net.wanji.utc.dto.systemadmin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/11/24 15:20
 */
@Data
@ApiModel(value = "ManufacturerApiInfoInsertOrUpdateDTO", description = "接口新增或修改输入参数")
public class ManufacturerApiInfoInsertOrUpdateDTO {
    /** 接口ID */
    @ApiModelProperty(value = "接口ID。不传ID为新增，传ID为修改",notes = "")
    private Integer id ;
    /** 接口代码 */
    @ApiModelProperty(required = true, value = "接口代码",notes = "")
    private String code ;
    /** 接口名称 */
    @ApiModelProperty(required = true, value = "接口名称",notes = "")
    private String name ;
    /** 接口类型 */
    @ApiModelProperty(required = true, value = "接口类型",notes = "")
    private String apiType ;
    /** 请求方式：GET、POST */
    @ApiModelProperty(required = true, value = "请求方式：GET、POST",notes = "")
    private String method ;
    /** 接口地址 */
    @ApiModelProperty(required = true, value = "接口地址",notes = "")
    private String address ;
    /** 接口厂商 */
    @ApiModelProperty(required = true, value = "接口厂商",notes = "")
    private String manufacturerNick;
}
