package net.wanji.utc.dto.hk;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 海康下发信号机日期DTO
 *
 * @author wuxiaokai
 * @date 2022/11/23 14:11:09
 */
@Setter
@Getter
public class DownloadScheduleDTO {

    private String crossCode;
    private List<Schedule> schedules;

    @Setter
    @Getter
    public static class Schedule {
        private Integer scheduleNo;
        private Integer isPeriod;
        private List<String> dates;
        private List<String> weeks;
        private Integer planNo;
    }
}
